Bug 208621 - devel/libhoard: Fix build with libc++ 3.8.0
Summary: devel/libhoard: Fix build with libc++ 3.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 208158
  Show dependency treegraph
 
Reported: 2016-04-07 21:59 UTC by Dimitry Andric
Modified: 2016-04-29 21:21 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Fix std::map declaration in devel/libhoard (1.30 KB, patch)
2016-04-07 21:59 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-04-07 21:59:54 UTC
Created attachment 169093 [details]
Fix std::map declaration in devel/libhoard

During the exp-run in bug 208158, it was found that devel/libhoard gives errors with libc++ 3.8.0 [1]:

In file included from Heap-Layers/heaps/./debug/sanitycheckheap.h:13:
/usr/include/c++/v1/map:837:5: error: implicit instantiation of undefined template '__static_assert_test<false>'
    static_assert((is_same<typename allocator_type::value_type, value_type>::value),
    ^
/usr/include/c++/v1/__config:632:35: note: expanded from macro 'static_assert'
    typedef __static_assert_check<sizeof(__static_assert_test<(__b)>)> \
                                  ^
Heap-Layers/heaps/./debug/sanitycheckheap.h:110:13: note: in instantiation of template class 'std::__1::map<void *, unsigned long, std::__1::less<void *>, HL::STLAllocator<std::__1::pair<const void *, unsigned long>, HL::FreelistHeap<HL::ZoneHeap<HL::MmapHeap, 16384> > > >' requested here
    mapType allocatedObjects;
            ^

This is because the std::map's allocator is not defined correctly.  Fix this by correcting the 'objType' definition to use a const pointer (e.g. not a pointer to const).

[1] http://package18.nyi.freebsd.org/data/headamd64PR208158-default/2016-03-22_18h30m05s/logs/errors/libhoard-3.10.log
Comment 1 Kurt Jaeger freebsd_committer 2016-04-29 21:21:29 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2016-04-29 21:21:48 UTC
A commit references this bug:

Author: pi
Date: Fri Apr 29 21:21:18 UTC 2016
New revision: 414294
URL: https://svnweb.freebsd.org/changeset/ports/414294

Log:
  devel/libhoard: Fix build with libc++ 3.8.0

  PR:		208621
  Submitted by:	dim
  Approved by:	uffe@uffe.org (maintainer timeout)

Changes:
  head/devel/libhoard/files/patch-src_Heap-Layers_heaps_debug_sanitycheckheap.h